log4cplus::MDC Class Reference

`#include <mdc.h>`

## Public Member Functions

void | clear ()
| Clear any nested diagnostic information if any.
void | put (tstring const &key, tstring const &value)
bool | get (tstring *value, tstring const &key) const
void | remove (tstring const &key)
MappedDiagnosticContextMap const & | getContext () const
| MDC ()
virtual | ~MDC ()

## Detailed Description

Definition at line 46 of file mdc.h.

## Constructor & Destructor Documentation

## MDC()

log4cplus::MDC::MDC | ( |  | ) |

## ~MDC()

virtual log4cplus::MDC::~MDC | ( |  | ) |

virtual

References LOG4CPLUS_PRIVATE.

## Member Function Documentation

## clear()

void log4cplus::MDC::clear | ( |  | ) |

Clear any nested diagnostic information if any.

This method is useful in cases where the same thread can be potentially used over and over in different unrelated contexts.

## get()

bool log4cplus::MDC::get | ( | tstring * | value,
|  | tstring const & | key ) const

## getContext()

MappedDiagnosticContextMap const & log4cplus::MDC::getContext | ( |  | ) | const

Referenced by log4cplus::spi::InternalLoggingEvent::getMDCCopy().

## put()

void log4cplus::MDC::put | ( | tstring const & | key,
|  | tstring const & | value )

## remove()

void log4cplus::MDC::remove | ( | tstring const & | key | ) |

The documentation for this class was generated from the following file:

- mdc.h